commit:     af8a284cd772490894128933702d501f5cfee2cb
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 16 07:30:03 2020 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Feb 16 07:30:16 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=af8a284c

dev-ruby/oauth2: add 1.4.4

Drop ppc, ppc64, x86 keywords due to new dependency
on dev-ruby/rspec-stubbed_env, bug 709774

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/oauth2/Manifest            |  1 +
 dev-ruby/oauth2/oauth2-1.4.4.ebuild | 49 +++++++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-ruby/oauth2/Manifest b/dev-ruby/oauth2/Manifest
index febc8761ce4..fe889b26544 100644
--- a/dev-ruby/oauth2/Manifest
+++ b/dev-ruby/oauth2/Manifest
@@ -2,3 +2,4 @@ DIST oauth2-1.4.0.tar.gz 21299 BLAKE2B 
1fe4640b374450279e556477c23972030d3aecac4
 DIST oauth2-1.4.1.tar.gz 27946 BLAKE2B 
e6edd113db26bdad09697c45efa5490bfb49b5c3fafdb7337c5f5c2b135025cc43fe7de450b3e106c6abfb8acb3afd676181ebd6aa1c18f6c5255597b04006df
 SHA512 
14c039d19bcd177506e2f6189797b1791b54bd3fbe53973ad471c44744e3179c02e2f7a855a0cafe332e66819f1708d86c1dd89cbe57668ad642efa49e924b25
 DIST oauth2-1.4.2.tar.gz 27168 BLAKE2B 
687149a111247a9636985447e82f5776ed42333e85bea6e0c61ff8f05759ba66dd1d418ca6efd7f1b5de5b56a731f889fc53f3413f5fd426b73ee6d4ef9ca929
 SHA512 
14075637431c6636a51d49930eae14c0328b0325add4829703d539c70b8cc35285acb02948a90717ab44f9153a0a9425b2d1b6559641b790ec133935904391f6
 DIST oauth2-1.4.3.tar.gz 28278 BLAKE2B 
6d0055875073dca48e94a0449a5fff22b7be280c5b2f8e0b5b3234b3c8b079fde0671e211b0eb8d562bfc0cb437917adccb3f13c38450a8cd6a43f0f1a2373a5
 SHA512 
6ffdc7675ed301cd52e3320c01723fe2530a9dedc2b1fe534b42d01dacb7d4b017d79dbe0f9768f06ed8ace7ba596f9824a38d5509e82d09a3456f3a6b1fe453
+DIST oauth2-1.4.4.tar.gz 28477 BLAKE2B 
925008fcf4dd48da3b17c539713bf0f05f649d431ab1676293de625bef4165f31153271d48bbb0c6265c67d7bb6a3cbc7217ce155ba331b22a00d572a855a8ef
 SHA512 
5398a25664e53d1942b0ecbe5d74ca9cc8f04a928c96073f40cfff207c4bf220634185320954a0d1f36944547fb48264855c9523318fbb79dd4a3779a7a46e79

diff --git a/dev-ruby/oauth2/oauth2-1.4.4.ebuild 
b/dev-ruby/oauth2/oauth2-1.4.4.ebuild
new file mode 100644
index 00000000000..97bbd0773f1
--- /dev/null
+++ b/dev-ruby/oauth2/oauth2-1.4.4.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby24 ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_TASK_TEST="none"
+
+RUBY_FAKEGEM_DOCDIR="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="oauth2.gemspec"
+
+inherit ruby-fakegem eutils
+
+DESCRIPTION="Wrapper for the OAuth 2.0 protocol with a similar style to the 
OAuth gem"
+HOMEPAGE="https://github.com/intridea/oauth2";
+SRC_URI="https://github.com/intridea/oauth2/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/faraday-0.8 <dev-ruby/faraday-2.0
+       || ( dev-ruby/jwt:2 dev-ruby/jwt:0 )
+       >=dev-ruby/multi_json-1.3 =dev-ruby/multi_json-1*
+       >=dev-ruby/multi_xml-0.5:0
+       >=dev-ruby/rack-1.2:* <dev-ruby/rack-3:*"
+ruby_add_bdepend "test? ( dev-ruby/rspec:3 dev-ruby/rspec-stubbed_env )"
+
+all_ruby_prepare() {
+       sed -i -e '/simplecov/,/^  end/ s:^:#:' \
+               -e '/silent/I s:^:#:' \
+               -e '1irequire "uri"' spec/helper.rb || die
+
+       sed -i -e '/yardstick/,/^end/ s:^:#:' \
+               -e '/bundler/I s:^:#:' Rakefile || die
+
+       # Avoid spec that is too fragile in relation to ENV
+       sed -i -e '/outputs to $stdout when OAUTH_DEBUG=true/a skip "fragile 
ENV stubbing"' spec/oauth2/client_spec.rb || die
+
+       sed -i -e 's/git ls-files -z/find . -print0/' ${RUBY_FAKEGEM_GEMSPEC} 
|| die
+}
+
+each_ruby_test() {
+       CI=true ${RUBY} -S rspec-3 spec || die
+}

Reply via email to